import 'package:ocg_user/src/models/user.dart';

abstract class UserState {}

class UserIdleState extends UserState {}

class UserLoadingState extends UserState {}

class UserLoadedState extends UserState {
  final User user;

  UserLoadedState(this.user);
}

class UserErrorState extends UserState {
  final String error;

  UserErrorState(this.error);
}
