abstract class UserBlockState {}

class UserBlockInitialState extends UserBlockState {}

class UserBlockLoadingState extends UserBlockState {}

class UserBlockLoadedState extends UserBlockState {
  final String userId;

  UserBlockLoadedState(this.userId);
}

class UserBlockErrorState extends UserBlockState {
  final String error;

  UserBlockErrorState(this.error);
}
