import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_user/src/models/user.dart';
import 'package:ocg_user/src/repository/base.dart';

class UserTestRepository extends UserRepository {
  static Map<String, User> _users = {};
  static String _currentId;

  UserTestRepository(TokenRepository tokenRepository) : super(tokenRepository);

  @override
  Future<AppResponse<List<User>>> getAllUsers() async {
    return AppResponse.named(data: _users.values.toList());
  }

  @override
  Future<AppResponse<User>> getUser(String userId) async {
    return AppResponse.named(data: _users[userId]);
  }

  @override
  Future<AppResponse<User>> getSelf() async {
    return AppResponse.named(data: _users[_currentId]);
  }

  @override
  Future<AppResponse<String>> getSelfId() async {
    return AppResponse.named(data: _currentId);
  }

  @override
  Future<AppResponse<bool>> blockUser(String userId, bool block) {
    // TODO: implement blockUser
    throw UnimplementedError();

    @override
    Future<AppResponse<bool>> updateSelf(User user) {
      // TODO: implement updateSelf
      throw UnimplementedError();
    }

    @override
    Future<AppResponse<List<User>>> getUsersList(List<String> userIds) {
      // TODO: implement getUsersList
      throw UnimplementedError();
    }
  }

  @override
  Future<AppResponse<List<User>>> getUsersList(List<String> userIds) {
    // TODO: implement getUsersList
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> updateSelf(User user) {
    // TODO: implement updateSelf
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<String>> create(User object) {
    // TODO: implement create
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> delete(String id) {
    // TODO: implement delete
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<List<User>>> getList({int page = 1, int count = 10}) {
    // TODO: implement getList
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<User>> read(String id) {
    // TODO: implement read
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> update(User object) {
    // TODO: implement update
    throw UnimplementedError();
  }
}
