import 'package:ocg_user/src/models/user.dart';

abstract class UserSelfState {}

class UserSelfIdleState extends UserSelfState {}

class UserSelfLoadingState extends UserSelfState {}

class UserSelfLoadedState extends UserSelfState {
  final User user;

  UserSelfLoadedState(this.user);
}

class UserSelfErrorState extends UserSelfState {
  final String error;

  UserSelfErrorState(this.error);
}
